body {
  background-color: black;
  color: whitesmoke;
  font-family:
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    'Open Sans',
    'Helvetica Neue',
    sans-serif;
  padding: 2rem;
}

.hidden {
  display: none;
}

.title-box {
  background-color: rgb(156, 156, 156);
  width: 500px;
  margin: 5rem auto;
  display: flex;
  justify-content: center;
  margin-top: 0px;
  margin-bottom: 25px;
  border-radius: 25%;
}

.title {
  color: rgb(255, 74, 14);
}

.title-el {
  height: 88px;
}

/* .lobby-box {
  display: flex;
  justify-content: center;
} */
.audio-icon-box {
  display: flex;
  justify-content: center;
}

.audio-icon {
  height: 1.5rem;
  cursor: pointer;
  animation: none; /*pulse 1s linear infinite;*/
}

.lobby-title {
  display: flex;
  justify-content: center;
}

.lobby-heading {
  display: flex;
  justify-content: center;
}

.lobby2-title {
  display: flex;
  justify-content: center;
}

.lobby2-ready-title {
  display: flex;
  justify-content: center;
}

.lobby2-game-full {
  display: flex;
  justify-content: center;
}

.loading-title {
  opacity: 0;
  transition: opacity 1s;
  font-style: italic;
  animation: pulse 2s infinite;
}

.ready-title {
  opacity: 0;
  transition: opacity 1s;
}

.game-full {
  opacity: 0;
  transition: opacity 1s;
}

.error--heading {
  display: flex;
  justify-content: center;
}

.error--text {
  display: flex;
  justify-content: center;
}

.eventsview {
  display: flex;
  justify-content: center;
}

.countdown-box {
  opacity: 0;
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 1rem;
  align-items: center;
}

.btn,
.btn:visited {
  position: relative;
  margin: 10px;
  padding: 10px;
  width: 10rem;
  height: 4rem;
  background-color: white;
  color: black;
  border-radius: 0.7rem;
  cursor: pointer;
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
  font-weight: 400;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.btn:disabled,
.btn.gameplay:disabled {
  opacity: 0.6;
  cursor: not-allowed;
  background-color: #7a7a7a;
  color: #dcdcdc;
}

.input {
  margin: 10px;
  padding: 10px;
  border-radius: 0.7rem;
}

#bomb-form,
#lobby-form {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  align-items: center;
}

.formBox,
#favourBox,
#favourBox2,
#nopeBox,
#stealBox1,
#stealBox2,
#voting-box,
#voting-count-box {
  margin: 5rem auto;
  padding: 1rem;
  width: max-content;
  border-radius: 0.7rem;
  background-color: rgb(100, 99, 99);
  /* display: flex;
  justify-content: center; */
}

#gameview {
  margin-bottom: 25px;
  margin-left: 85px;
  margin-right: 85px;
}

.gameview-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  height: 250px;
  overflow: auto;
  scrollbar-color: white black;
}

.cardstack {
  opacity: 0;
  display: flex;
  justify-content: center;
}

.stack-class {
  display: flex;
  justify-content: center;
  width: 10rem;
  height: 14rem;
  border-radius: 0.7rem;
  margin: 0 2rem;
  padding: 0.5rem;
  background-color: red;
  border: 0.3rem solid white;
}

.outer {
  margin: 0.3rem auto;

  width: 9rem;
  height: 13rem;
  background-color: crimson;
  border-radius: 0.7rem;
  border: 0.3rem dotted white;
}

.inner3 {
  margin: 0.3rem auto;
  width: 8rem;
  height: 12rem;
  background-color: crimson;
  border-radius: 0.7rem;
  border: 0.2rem double white;
  overflow: hidden;
}

.inner2 {
  margin: auto;
  margin-top: 1rem;

  width: 4.5rem;
  height: 9rem;
  background-color: inherit;
  border-radius: 0.7rem;
  border: 0.2rem solid white;

  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
}

.geometric-el--1 {
  shape-outside: circle();
  clip-path: circle(60% at top);
  background-color: white;
  text-align: center;
  overflow: hidden;
}

.geometric-el--2 {
  shape-outside: circle();
  clip-path: circle(60% at bottom);
  background-color: white;
  text-align: center;
  overflow: hidden;
}

.inner2 img {
  width: 4rem;
  margin: auto;
}

.players-list {
  list-style: none;
  padding: 0px;
}

.movestracker {
  height: 80px;
  overflow-y: scroll;
  scrollbar-color: white black;
  opacity: 0;
  justify-content: center;
  list-style: none;
}

.button-box {
  opacity: 0;
  height: 85px;
  display: flex;
  justify-content: center;
  margin-bottom: 12.5px;
}

/* .player-name-display {
  width: 100px;
  height: 100px;
  border-style: solid;
  border-width: 10px;
  border-color: silver;
  border-radius: 15px;
} */

.cards-container {
  opacity: 0;
  display: flex;
  justify-content: center;
  margin-left: 25px;
  margin-right: 25px;
}

.cardsBox {
  display: grid;
  grid: repeat(1, 125px) / auto-flow 125px;
  font-size: 1rem;
  opacity: 0;
  transition: opacity 1s;
}

#game-end-box {
  margin: 5rem;
  display: flex;
  align-items: center;
}

#game-end-title {
  color: rgb(219, 2, 25);
}

.handClass,
.handClass:visited {
  position: relative;
  box-shadow: 0 2rem 5rem 1rem rgba(0, 0, 0, 0.1);
  font-size: 1.5rem;
  overflow-wrap: anywhere;
  width: 10rem;
  height: 14rem;
  border-radius: 0.7rem;
  margin: 0 2rem;
  padding: 0.5rem;
  background-color: rgb(100, 99, 99);

  /* box-sizing: border-box;*/
  -webkit-transition: all 0.4s;
  transition: all 0.4s;
  font-weight: 400;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  /*Add later when we use this for the button in form*/
  border: none;
  cursor: pointer;
}

.handClass:active,
.btn:active {
  -webkit-transform: translateY(-1px);
  transform: translateY(-1px);
}

.btn:hover {
  -webkit-transform: translateY(-3px);
  transform: translateY(-3px);
  background-color: rgb(219, 2, 25);
}

.handClass:hover {
  -webkit-transform: translate(-15x, -10px);
  transform: translate(-15px, -10px);
}

.handClass:focus {
  outline: none;
  border-style: double;
  border-color: #00c46a;
  -webkit-transform: translateY(-3px);
  transform: translateY(-3px);
}

.card-icon {
  padding: 10px;
  width: 25px;
  height: 25px;
}

.card-title {
  padding: 10px;
}
.skip,
.favour,
.catcard,
.nope,
.see-the-future,
.attack,
.shuffle,
.defuse {
  display: block;
  width: 9rem;
  height: 13rem;
  border-style: solid;
  border-radius: 0.7rem;
  background-color: white;
  color: black;
}
.skip {
  border-color: rgb(0, 102, 255);
}

.favour {
  border-color: black;
}

.catcard {
  border-color: rgb(175, 174, 174);
}

.nope {
  border-color: rgb(255, 74, 14);
}

.see-the-future {
  border-color: rgb(245, 119, 144);
}

.attack {
  border-color: orange;
}

.shuffle {
  border-color: rgb(186, 150, 104);
}

.defuse {
  border-color: #7fe928;
}

.alert {
  position: fixed;
  top: 0;
  left: 90%;
  /* -webkit-transform: translateX(-50%);
  transform: translateX(-50%); */
  -webkit-transform: translate(-90%);
  transform: translate(-90%);
  z-index: 9999;
  color: #fff;
  font-size: 1.2rem;
  font-weight: 400;
  text-align: start;
  display: block;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  padding: 1.6rem 5.5rem;
  -webkit-box-shadow: 0 2rem 4rem rgba(0, 0, 0, 0.25);
  box-shadow: 0 2rem 4rem rgba(0, 0, 0, 0.25);
}

.alert--success {
  background-color: orange;
}

.alert--error {
  background-color: red;
}

.selected {
  color: rgb(255, 246, 210);
  background-color: rgb(38, 38, 38);
  transform: translateY(-10%);
}

@keyframes pulse {
  /* 0% {
    opacity: 1;
  }
  25% {
    opacity: 0.5;
  }
  50% {
    opacity: 0.1;
  }
  75% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  } */
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}

/* --------------------------- */
.player-name-display--text {
  height: max-content;
  font-size: 25px;
}
.player-name-display {
  position: relative;
  /* top: 50%;
  left: 25%; */
  transform: translate(-50%, -50%);
  width: 150px;
  height: 150px;
  background: #111845a6;
  box-sizing: border-box;
  overflow: hidden;
  box-shadow: 0 20px 50px rgb(150, 44, 26);
  border: 2px solid rgb(219, 2, 25);
  color: white;
  padding: 20px;
}

.player-name-display:before {
  content: '';
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.1);
  transition: 0.5s;
  pointer-events: none;
}

.player-name-display:hover:before {
  left: -50%;
  transform: skewX(-5deg);
}

.player-name-display .content {
  position: absolute;
  top: 15px;
  left: 15px;
  right: 15px;
  bottom: 15px;
  border: 1px solid rgb(248, 149, 69);
  padding-top: 35px !important;
  padding: 2px;
  text-align: center;
  box-shadow: 0 5px 10px rgba(9, 0, 0, 0.5);
}

.player-name-display span {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: block;
  box-sizing: border-box;
}

.player-name-display span:nth-child(1) {
  transform: rotate(0deg);
}

.player-name-display span:nth-child(2) {
  transform: rotate(90deg);
}

.player-name-display span:nth-child(3) {
  transform: rotate(180deg);
}

.player-name-display span:nth-child(4) {
  transform: rotate(270deg);
}

.player-name-display span:before {
  content: '';
  position: absolute;
  width: 100%;
  height: 2px;
  background: rgb(247, 223, 56);
  animation: animate 4s linear infinite;
}

@keyframes animate {
  0% {
    transform: scaleX(0);
    transform-origin: left;
  }
  50% {
    transform: scaleX(1);
    transform-origin: left;
  }
  50.1% {
    transform: scaleX(1);
    transform-origin: right;
  }

  100% {
    transform: scaleX(0);
    transform-origin: right;
  }
}

.credits {
  padding: 1.7rem;
  font-size: 0.6rem;
  color: whitesmoke;
}

/* -------- Game winner/Game loser --- */
.animated-img-box {
  position: absolute;
  bottom: 0;
  left: 0;

  font-size: 6rem;
}
.animated-award,
.animated-bomb {
  display: inline-block;
  animation: none;
}

@keyframes flyUp {
  from {
    transform: translateY(0%);
  }
  to {
    transform: translateY(-200vw);
  }
}

/* -------- Disclaimer ----------- */
.legal-disclaimer {
  padding: 1.7rem;
  border: 2.5px solid whitesmoke;
  font-size: 0.75rem;
  color: whitesmoke;
}
a {
  background-color: whitesmoke;
}
